commit: 3532866c51e581f9f9078cb31b1b795dc8408ab4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 9 16:07:26 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 9 16:07:49 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3532866c
dev-python/pyzmq: Make 19.0.1_p20200608 snapshot, py3.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyzmq/Manifest | 1 +
dev-python/pyzmq/pyzmq-19.0.1_p20200608.ebuild | 64 ++++++++++++++++++++++++++
2 files changed, 65 insertions(+)
diff --git a/dev-python/pyzmq/Manifest b/dev-python/pyzmq/Manifest
index 3f67bbfe820..ef77ea43537 100644
--- a/dev-python/pyzmq/Manifest
+++ b/dev-python/pyzmq/Manifest
@@ -1,2 +1,3 @@
DIST pyzmq-16.0.2.tar.gz 1026531 BLAKE2B
b276fea116d56595ff2aca8a00b2b8918c0170cf1522c4bb457f6bb0d44a13e63de18e4d4f53238a1a5b515986e029ffebdded269f191d62eb36d988b328b402
SHA512
40eaf8ce39db86ab3866890d74b92bd6f20d4ae827828a8772003656d899d10ffcfc222d21f344d9daba390824e6c43b9f34e31beb604ec5ee1ec199165f4b96
DIST pyzmq-19.0.0.tar.gz 1150320 BLAKE2B
a2af57b1cb809ab72aff1bbee17a7fff5eeeff90805884542579c7cb58c235f8b257a8724c64f55cc8e8eda4a943ec2f54490d546a74bc1532557c46b420e6d2
SHA512
06a395fee62c78f806c43b07362fe2d4b7ac05813d75d4b983f8eefffbe0ca36f64db1591ead719b2866fcfe0867c919033eca0063ca32529e649cd9790461b1
+DIST pyzmq-19.0.1_p20200608.tar.gz 390927 BLAKE2B
d70a2f615782cc5a53ed2ffab4d5549bc5d15cc1e0e63f640a357fe8575ca327a5976a3e8b11d97c236a31ca17025f37fe423d166b684b5c4aafc139a0941492
SHA512
7f077ed3858c226eb1e3f5e51dfb5d4b517ec94357b37cc66d17cfe2543786b86627ce7eb4c12785a2709a499af998d02642d972c119a637df3cec5201e909d1
diff --git a/dev-python/pyzmq/pyzmq-19.0.1_p20200608.ebuild
b/dev-python/pyzmq/pyzmq-19.0.1_p20200608.ebuild
new file mode 100644
index 00000000000..56869da7859
--- /dev/null
+++ b/dev-python/pyzmq/pyzmq-19.0.1_p20200608.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit flag-o-matic distutils-r1 toolchain-funcs
+
+EGIT_COMMIT="dd4dac055152d47c829034224cdecf594c7b3f12"
+DESCRIPTION="Lightweight and super-fast messaging library built on top of the
ZeroMQ library"
+HOMEPAGE="
+ https://www.zeromq.org/bindings:python
+ https://pypi.org/project/pyzmq/
+ https://github.com/zeromq/pyzmq/"
+SRC_URI="
+ https://github.com/zeromq/pyzmq/archive/${EGIT_COMMIT}.tar.gz
+ -> ${P}.tar.gz"
+S=${WORKDIR}/${PN}-${EGIT_COMMIT}
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="+draft"
+
+DEPEND="
+ >=net-libs/zeromq-4.2.2-r2:=[drafts]
+"
+RDEPEND="${DEPEND}
+ dev-python/py[${PYTHON_USEDEP}]
+ dev-python/cffi:=[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ >=www-servers/tornado-5.0.2[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/pyzmq-19.0.0-tests.patch"
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ "dev-python/numpydoc"
+
+python_prepare_all() {
+ # probably broken with new numpy
+ sed -i -e 's:test_buffer_numpy:_&:' zmq/tests/test_message.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ tc-export CC
+ append-cppflags -DZMQ_BUILD_DRAFT_API=$(usex draft '1' '0')
+}
+
+python_compile() {
+ esetup.py cython --force
+ distutils-r1_python_compile
+}